API Reference

GET Browsers

List browser analytics for the authenticated site.

GET Browsers

GET https://api.faurya.com/api/v1/analytics/browsers

List browser breakdown analytics for the site attached to your API key. Requires Bearer Token authentication.

Example request

const response = await fetch(
  "https://api.faurya.com/api/v1/analytics/browsers",
  {
    headers: {
      Authorization: `Bearer ${process.env.FAURYA_API_KEY}`,
    },
  },
);

const result = await response.json();

Query parameters

  • period (string): day, week, month, year, or all.
  • startDate or startAt (string): Custom range start. Must be used with an end date.
  • endDate or endAt (string): Custom range end. Must be used with a start date.
  • limit (number): Number of rows to return. Defaults to 100, maximum 100.
  • offset (number): Number of rows to skip. Defaults to 0.
  • device, os, browser, path, country, city, utm, referrer, hostname, goal (string): Optional analytics filters.

Response

Each row includes browser, visitors, goalVisitors, revenue, and optional image.

{
  "status": "success",
  "data": [
    {
      "browser": "Chrome",
      "visitors": 103,
      "goalVisitors": 16,
      "revenue": 219.99,
      "image": "/browsers/chrome.svg"
    }
  ],
  "pagination": {
    "limit": 100,
    "offset": 0,
    "total": 1,
    "hasMore": false
  }
}